package com.sdtool.common.tdoc;

public class TAppCallParam {

    private String paramName;

    private String paramType;

    private String paramSrc;

    private String paramComment;

    private Boolean paramRequired;

    public String getParamName() {
        return paramName;
    }

    public TAppCallParam setParamName(String paramName) {
        this.paramName = paramName;
        return this;
    }

    public String getParamType() {
        return paramType;
    }

    public TAppCallParam setParamType(String paramType) {
        this.paramType = paramType;
        return this;
    }

    public String getParamSrc() {
        return paramSrc;
    }

    public TAppCallParam setParamSrc(String paramSrc) {
        this.paramSrc = paramSrc;
        return this;
    }

    public String getParamComment() {
        return paramComment;
    }

    public TAppCallParam setParamComment(String paramComment) {
        this.paramComment = paramComment;
        return this;
    }

    public Boolean getParamRequired() {
        return paramRequired;
    }

    public TAppCallParam setParamRequired(Boolean paramRequired) {
        this.paramRequired = paramRequired;
        return this;
    }
}
